"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.projections = exports.layerTypes = exports.DEFAULT_BACKGROUND_COLOR = void 0;
exports.DEFAULT_BACKGROUND_COLOR = 'rgb(36,74,101)';
exports.layerTypes = new Map([
    ['atmosphere-day-night', 'Atmosphere and Day/Night'],
    ['bing-aerial-labels', 'Bing Aerial with Labels'],
    ['bing-aerial', 'Bing Aerial'],
    ['bing-roads', 'Bing Roads'],
    ['blue-marble-landsat', 'Blue Marble and LandSat'],
    ['blue-marble-lowres', 'Background'],
    ['blue-marble', 'Blue Marble'],
    ['compass', 'Compass'],
    ['coordinates', 'Coordinates'],
    ['eox-openstreetmap', 'EOX OpenStreetMap'],
    ['eox-sentinal2-labels', 'EOX Sentinal-2 with Labels'],
    ['eox-sentinal2', 'EOX Sentinal-2'],
    ['renderables', 'Renderables'],
    ['stars', 'Stars'],
    ['tessellation', 'Tessellation'],
    ['usgs-imagery-topo', 'USGS Imagery Topographic'],
    ['usgs-topo', 'USGS Topographic'],
    ['view-controls', 'View Controls'],
]);
exports.projections = [
    '3D',
    'Equirectangular',
    'Mercator',
    'North Gnomonic',
    'North Polar',
    'North UPS',
    'South Gnomonic',
    'South Polar',
    'South UPS',
];
//# sourceMappingURL=globe.constants.js.map