"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useWorldWindow = void 0;
const worldwind_1 = require("@nasaworldwind/worldwind");
const react_1 = require("react");
const useWorldWindow = () => {
    const worldWindowRef = (0, react_1.useRef)(null);
    const setWorldWindowRef = (canvasId) => {
        if (!worldWindowRef.current)
            worldWindowRef.current = new worldwind_1.WorldWindow(canvasId);
    };
    return [worldWindowRef, setWorldWindowRef];
};
exports.useWorldWindow = useWorldWindow;
//# sourceMappingURL=useWorldWindow.js.map