import { WorldWindow } from '@nasaworldwind/worldwind';
import { useRef } from 'react';
export const useWorldWindow = () => {
    const worldWindowRef = useRef(null);
    const setWorldWindowRef = (canvasId) => {
        if (!worldWindowRef.current)
            worldWindowRef.current = new WorldWindow(canvasId);
    };
    return [worldWindowRef, setWorldWindowRef];
};
//# sourceMappingURL=useWorldWindow.js.map